Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 77e23a277065abfa7478a1e115ec43af5a79dcc2)
+++ sansview/perspectives/fitting/basepage.py	(revision dcf29d72fbb8dcfe3b667c7278083176f2a6cf45)
@@ -811,4 +811,5 @@
         else:
             self.model= form_factor()
+        self.page_info.model= self.model
        
         
@@ -922,5 +923,7 @@
         model_disp = wx.StaticText(self, -1, 'No PolyDispersity for this model')
         self.sizer4_4.Add(model_disp,( iy, ix),(1,1),  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        self.sizer4_4.Layout()
         self.sizer4.Layout()
+       
         self.SetScrollbars(20,20,200,100)
         return 
@@ -1007,4 +1010,5 @@
         self.qmin.SetToolTipString("Minimun value of Q in linear scale.")
         self.qmin.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
+        self.qmin.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
         self.qmin.Bind(wx.EVT_TEXT_ENTER, self._onparamEnter)
      
@@ -1013,4 +1017,5 @@
         self.qmax.SetToolTipString("Maximum value of Q in linear scale.")
         self.qmax.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
+        self.qmax.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
         self.qmax.Bind(wx.EVT_TEXT_ENTER, self._onparamEnter)
      
@@ -1037,4 +1042,5 @@
         self.sizer5.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
         self.sizer5.Layout()
+        self.Layout()
         self.SetScrollbars(20,20,200,100)
     
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 77e23a277065abfa7478a1e115ec43af5a79dcc2)
+++ sansview/perspectives/fitting/fitpage.py	(revision dcf29d72fbb8dcfe3b667c7278083176f2a6cf45)
@@ -38,4 +38,6 @@
         ## if no dispersity parameters is avaible 
         self.text_disp_1=None
+        ## default fitengine type
+        self.engine_type = "scipy"
         
         self._fill_datainfo_sizer()
@@ -53,4 +55,6 @@
             @param event: FitterTypeEvent containing  the name of the current engine
         """
+        self.engine_type = event.type
+         
         if len(self.parameters)==0:
             return
@@ -748,5 +752,7 @@
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         self.text2_4.Hide()
-        
+        if self.engine_type=="park":
+            self.text2_max.Show(True)
+            self.text2_min.Show(True)
 
         for item in keys:
@@ -801,5 +807,9 @@
                 ctl4.SetValue(format_number(param_max))
                 ctl4.Hide()
-              
+                
+                if self.engine_type=="park":
+                    ctl3.Show(True)
+                    ctl4.Show(True)
+                    
                 ix +=1
                 # Units
Index: sansview/perspectives/fitting/fitpanel.py
===================================================================
--- sansview/perspectives/fitting/fitpanel.py	(revision 77e23a277065abfa7478a1e115ec43af5a79dcc2)
+++ sansview/perspectives/fitting/fitpanel.py	(revision dcf29d72fbb8dcfe3b667c7278083176f2a6cf45)
@@ -139,5 +139,5 @@
         return self.sim_page
         
-    def add_fit_page( self,data ):
+    def add_fit_page( self,data, page_info=None ):
         """ 
             Add a fitting page on the notebook contained by fitpanel
@@ -149,12 +149,14 @@
         except:
             name = 'Fit'
-        from pageInfo import  PageInfo
-        myinfo = PageInfo( self, data=data )
-        myinfo.model_list_box = self.model_list_box.get_list()
-        myinfo.event_owner = self.event_owner 
-        myinfo.manager = self.manager
+        if page_info==None:
+            from pageInfo import  PageInfo
+            myinfo = PageInfo( self, data=data )
+            myinfo.model_list_box = self.model_list_box.get_list()
+            myinfo.event_owner = self.event_owner 
+            myinfo.manager = self.manager
+        else:
+            myinfo = page_info
         
         if not name in self.fit_page_name :
-            
             from fitpage import FitPage
             panel = FitPage(parent= self, page_info=myinfo, name=name )
@@ -162,5 +164,4 @@
             panel.window_name= "fitpage"
             self.AddPage(page=panel,caption=name,select=True)
-            #panel.populate_box( self.model_list_box)
             self.fit_page_name.append(name)
             
@@ -170,5 +171,6 @@
         
    
-    def add_model_page(self,model,page_title, qmin=0, qmax=0.1, npts=50, topmenu=False):
+    def add_model_page(self,model,page_title, qmin=0, qmax=0.1,
+                        npts=50, topmenu=False,page_info=None):
         """
             Add a model page only one  to display any model selected from the menu or the page combo box.
@@ -177,5 +179,5 @@
             @param model: the model for which paramters will be changed
             @param page_title: the name of the page
-            @param page_title: [Coder: fill your description!]
+            @param page_info: contains info about the state of the page
             @param qmin: mimimum Q
             @param qmax: maximum Q
@@ -184,11 +186,16 @@
         if topmenu==True:
             if  self.draw_model_name ==None:
-                self._help_add_model_page(model,page_title, qmin=qmin, qmax=qmax, npts=npts)
+                self._help_add_model_page(model,page_title, 
+                                qmin=qmin, qmax=qmax, npts=npts, page_info=page_info)
             else:
                 self.model_page.select_model(model, page_title)
         else:
-            self._create_model_page(model,page_title, qmin=qmin, qmax=qmax, npts=npts)
-          
-    def _help_add_model_page(self,model,page_title, qmin=0, qmax=0.1, npts=50):
+            if  self.draw_model_name ==None:
+                self._create_model_page(model,page_title, qmin=qmin, qmax=qmax,
+                                         npts=npts, page_info=page_info)
+           
+                
+    def _help_add_model_page(self,model,page_title, qmin=0, 
+                             qmax=0.1, npts=50,page_info=None):
         """
             #TODO: fill in description
@@ -198,5 +205,6 @@
             @param npts: number of Q points
         """
-        self._create_model_page(model,page_title,qmin=qmin, qmax=qmax, npts=npts)
+        self._create_model_page(model,page_title,qmin=qmin, qmax=qmax,
+                                 npts=npts,page_info= page_info)
         # We just created a model page, we are ready to plot the model
         #self.manager.draw_model(model, model.name)
@@ -204,16 +212,18 @@
         self.manager.draw_model(model)
     
-    def _create_model_page(self,model,page_title, qmin, qmax, npts):
+    def _create_model_page(self,model,page_title, qmin, qmax, npts,page_info=None):
         """
         adding model page occurs here
         """
-       
-        ## storing page info
-        from pageInfo import  PageInfo
-        myinfo = PageInfo( self, model )
-        myinfo.model_list_box = self.model_list_box.get_list()
-        myinfo.event_owner = self.event_owner 
-        myinfo.manager = self.manager
-        
+        ## creating object that contaning info about model 
+        if page_info==None:
+            from pageInfo import  PageInfo
+            myinfo = PageInfo( self, model=model)
+            myinfo.model_list_box = self.model_list_box.get_list()
+            myinfo.event_owner = self.event_owner 
+            myinfo.manager = self.manager
+        else:
+            myinfo = page_info
+    
         from modelpage import ModelPage
         panel = ModelPage(self,myinfo,page_title)
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 77e23a277065abfa7478a1e115ec43af5a79dcc2)
+++ sansview/perspectives/fitting/fitting.py	(revision dcf29d72fbb8dcfe3b667c7278083176f2a6cf45)
@@ -451,19 +451,15 @@
             Add name of a closed page of fitpanel in a menu 
         """
-        if len(self.closed_page_dict)>0:
-            for k , value in self.closed_page_dict.iteritems():
-                if not name in value:
-                    # Post paramters
-                    event_id = wx.NewId()
-                    self.menu1.Append(event_id, name, "Show %s fit panel" % name)
-                    self.closed_page_dict[event_id ]= [page_info, fitproblem]
-                else:
-                    event_id= k
-                    self.closed_page_dict[k ]= [page_info, fitproblem]
-        else:
+        list = self.menu1.GetMenuItems()
+        for item in list:
+            if name == item.GetItemLabel():
+                self.closed_page_dict[name][1:] = page_info, fitproblem
+                
+        if not name in self.closed_page_dict.keys():    
+            # Post paramters
             event_id = wx.NewId()
             self.menu1.Append(event_id, name, "Show %s fit panel" % name)
-            self.closed_page_dict[event_id ]= [page_info, fitproblem]
-        wx.EVT_MENU(self.parent,event_id,  self._open_closed_page)
+            self.closed_page_dict[name]= [event_id,page_info, fitproblem]
+            wx.EVT_MENU(self.parent,event_id,  self._open_closed_page)
         
         
@@ -472,13 +468,19 @@
             reopen a closed page
         """
-        if event.GetId() in self.closed_page_dict.keys():
-            page_info,fitproblem = self.closed_page_dict[ event.GetId() ]
+        for value in self.closed_page_dict.values():
+            if event.GetId() in value:
+                id, page_info,fitproblem = value
+                
             if page_info.page_name !="Model Page":
-                page = self.fit_panel.add_fit_page(page_info.data)
+                page = self.fit_panel.add_fit_page(data= page_info.data,
+                                                    page_info=page_info)
                 if fitproblem != None:
                     self.page_finder[page]=fitproblem
             else:
                 model= page_info.model
-                self.fit_panel.add_model_page(model,model.name,topmenu=False)
+                self.fit_panel.add_model_page(model,model.name,topmenu=False,
+                                              page_info=page_info)
+            break
+        
         
     def _reset_schedule_problem(self, value=0):
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 77e23a277065abfa7478a1e115ec43af5a79dcc2)
+++ sansview/perspectives/fitting/modelpage.py	(revision dcf29d72fbb8dcfe3b667c7278083176f2a6cf45)
@@ -87,4 +87,5 @@
         self.npts.SetToolTipString("Number of point to plot.")
         self.npts.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
+        self.npts.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
         self.npts.Bind(wx.EVT_TEXT_ENTER, self._onparamEnter)
         
Index: sansview/perspectives/fitting/pageInfo.py
===================================================================
--- sansview/perspectives/fitting/pageInfo.py	(revision 59a7f2d96a740711698407c792a5438a82d5809b)
+++ sansview/perspectives/fitting/pageInfo.py	(revision dcf29d72fbb8dcfe3b667c7278083176f2a6cf45)
@@ -78,5 +78,7 @@
         obj          = PageInfo( self.parent,model= model )
         obj.data = copy.deepcopy(self.data)
-        
+        obj.model_list_box = copy.deepcopy(self.model_list_box)
+        obj.manager = self.manager
+        obj.event_owner = self.event_owner
         return obj
 
